1. Reports
GatewayV4-API
  • Gateway - API
    • Home
    • Webhook - Reply
    • Webhook - Status
    • Contacts
      • List
    • Routes
      • Routes
    • Reports
      • Received Messages Report
        GET
      • Sent Messages Report
        GET
      • Messages Requests Report
        GET
      • Cancel Messages Request
        POST
    • RCS
      • Send RCS (File) Message
      • Send RCS (Carrossel) Message
      • Send RCS (Card) Message
      • Send RCS (Basic) Message
      • Send RCS (Single) Message
    • SMS
      • Send SMS Message
    • Balance
      • GetBalance
    • Token
      • Create API Token
      • Validate API Token
    • Child User
      • Create Child User
    • Short Links
      • Create Short Link
      • Get Short Links
      • Update Short Link
      • Delete Short Link
    • Schemas
      • Core
        • CoreResult
      • Contacts
        • Contact
      • Routes
        • Routes
      • Reports
        • Received
        • Sent
        • MessageRequestsReportResult
        • CancelMessagesRequestInput
      • RCS
        • Send RCS File
        • Send RCS Basic
        • Send RCS carousel
        • Send RCS card
      • SMS
        • Send Sms
      • Balance
        • BalanceResult
      • Token
        • CreateApiTokenResponse
        • ValidateApiTokenResponse
      • ChildUser
        • CreateChildUserRequest
        • PublicChildUser
      • Short Links
        • Short Link Object Response
  1. Reports

Sent Messages Report

GET
/reports/messages/sent
Este endpoint permite consultar o histórico de mensagens enviadas via API, abrangendo canais como SMS, RCS (básico, card, carrossel, arquivo), entre outros. Os resultados incluem informações completas sobre cada envio, como conteúdo, destinatário, status de entrega, agendamento, rota utilizada, tags, entre outros.
Ideal para compor dashboards, gerar relatórios personalizados ou integrar o status de entrega ao seu sistema interno de notificações e acompanhamento.

Request

Authorization
Add parameter in header
x-api-key
Example:
x-api-key: ********************
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.comtele.com.br/reports/messages/sent?startDate=2024-01-01&limit=10' \
--header 'x-api-key: <api-key>'
Response Response Example
{
    "hasError": true,
    "message": "string",
    "totalRecords": 0,
    "errors": [
        "string"
    ],
    "object": [
        {
            "id": "string",
            "receiver": "string",
            "content": "string",
            "createdAt": "2019-08-24T14:15:22.123Z",
            "sentAt": "2019-08-24T14:15:22.123Z",
            "requestId": "string",
            "schedule": "2019-08-24T14:15:22.123Z",
            "custom": "string",
            "tag": "string",
            "status": "string",
            "statusDetails": "string",
            "product": "string",
            "route": "string"
        }
    ]
}
Modified at 2026-05-29 13:57:11
Previous
Received Messages Report
Next
Messages Requests Report
Built with